Package Details: bibisco 2.1.0-1

Git Clone URL: https://aur.archlinux.org/bibisco.git (read-only)
Package Base: bibisco
Description: Novel writing software. Community Edition.
Upstream URL: https://www.bibisco.com/
Keywords: novels writing
Licenses: GPL3
Submitter: sardach
Maintainer: sardach
Last Packager: sardach
Votes: 2
Popularity: 1.395269
First Submitted: 2019-09-02 16:47
Last Updated: 2019-09-02 18:44

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

coderobe commented on 2019-09-15 10:28

This PKGBUILD has several flaws:

It's missing git as makedep. You're pulling from git, and this will fail without git in the build environment.

It needs to either pull a specific tag or commit, or be converted into a -git package with the appropriate pkgver(). Right now your pkgver is lying, as the sources are non-static.

$pkgdir may be a path containing spaces and thus should always be quoted. Currently your package() breaks on systems where $pkgdir is underneath a path with spaces, due to word splitting. Same goes for $srcdir when you use it, which you do. Also, using $srcdir in that context is redundant - All functions start in $srcdir implicitly.

Your dependencies are incomplete, you also require nodejs during runtime.

And your launcher script should be replaced by something from upstream ideally, or at least follow current practice if upstream doesn't provide one.